# eric4.Preferences.ConfigurationPages.TerminalPage

Module implementing the Terminal configuration page.

### Global Attributes

None

### Classes

TerminalPage | Class implementing the Terminal configuration page.

### Functions

create | Module function to create the configuration page.

## TerminalPage

Class implementing the Terminal configuration page.

### Derived from

ConfigurationPageBase, Ui_TerminalPage

### Class Attributes

None

### Methods

TerminalPage | Constructor
save | Public slot to save the Shell configuration.

#### TerminalPage (Constructor)

TerminalPage()

Constructor

#### TerminalPage.save

save()

Public slot to save the Shell configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up